All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.collection
Class PropertyBagChangedEvent

    com.sas.collection.PropertyBagChangedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyBagChangedEvent

A property change event which tells how the property in a property bag has changed. (one of `HowChanged.REMOVED`, `HowChanged.ADDED`, `HowChanged.REPLACED`, `HowChanged.REORDERED` or `HowChanged.OTHER`.

See Also:
  Serialized Form

Field Summary
`protected HowChanged` | `howChanged` How the item changed.

Constructor Summary
`PropertyBagChangedEvent(java.lang.Object source, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue, HowChanged howChanged)` Construct a `PropertyBagChangedEvent` which identifies the source property bag, the name of the changed property, the old and new value, and how the item changed.

Method Summary
`HowChanged` | `howChanged()` Return the indication of how the property changed.

Field Detail

### howChanged

    protected HowChanged howChanged

  How the item changed.

Constructor Detail

### PropertyBagChangedEvent

    public PropertyBagChangedEvent(java.lang.Object source,
                                   java.lang.String propertyName,
                                   java.lang.Object oldValue,
                                   java.lang.Object newValue,
                                   HowChanged howChanged)

  Construct a `PropertyBagChangedEvent` which identifies the source property bag, the name of the changed property, the old and new value, and how the item changed.

  Parameters:
    `source` - the property bag which has changed.
    `propertyName` - the name of the propetery which was added, removed, or replaced.
    `oldValue` - the original item removed/replaced from the dictionary. If `null`, the newValue was added.
    `newItem` - the new item added to the dictionary. If `null`, the oldValue was removed.
    `howChanged` - indicates if the item was added or removed or replaced.

Method Detail

### howChanged

    public HowChanged howChanged()

  Return the indication of how the property changed.

  Returns:
    a HowChanged object describing how the property changed.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.